Run Baseline
POST /api/creative/edit/baseline/{document_id}
POST
/api/creative/edit/baseline/{document_id}
Run baseline analysis on a single document.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” document_id
required
Document Id
string
Responses
Section titled “ Responses ”Successful Response
BaselineResponse
Full baseline analysis response.
object
stats
required
BaselineStats
Aggregated manuscript stats for the baseline phase.
object
documentId
required
Documentid
string
title
required
Title
string
wordCount
Wordcount
integer
paragraphCount
Paragraphcount
integer
sentenceCount
Sentencecount
integer
chapterCount
Chaptercount
integer
avgSentenceLength
Avgsentencelength
number
readabilityScore
Readabilityscore
number
readabilityLabel
Readabilitylabel
string
chapters
required
Chapters
Array<object>
BaselineChapterStats for a single chapter/document in the baseline.
object
id
required
Id
string
title
required
Title
string
wordCount
Wordcount
integer
sceneCount
Scenecount
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context